Commit aaf6e924 authored by Simon Morlat's avatar Simon Morlat

fix objC stupid requirement on all platform

parent 75fd1d7a
......@@ -125,9 +125,10 @@ AC_DEFUN([MS_CHECK_VIDEO],[
enable_x11_default=false
OBJCFLAGS="$OBJCFLAGS -framework QTKit"
LIBS="$LIBS -framework QTKit -framework CoreVideo -framework Foundation"
AC_LANG_PUSH([Objective C])
AC_CHECK_HEADERS([QTKit/QTKit.h],[],[AC_MSG_ERROR([QTKit framework not found, required for video support])])
AC_LANG_POP([Objective C])
dnl the following check is necessary but due to automake bug it forces every platform to have an objC compiler !
dnl AC_LANG_PUSH([Objective C])
dnl AC_CHECK_HEADERS([QTKit/QTKit.h],[],[AC_MSG_ERROR([QTKit framework not found, required for video support])])
dnl AC_LANG_POP([Objective C])
fi
AC_ARG_ENABLE(sdl,
......
......@@ -75,6 +75,7 @@ dnl Checks for programs.
AC_PROG_CC
AC_PROG_CXX
AC_PROG_OBJC
AC_CONFIG_MACRO_DIR([m4])
LT_INIT([win32-dll shared disable-static])
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment